_SDL_ControllerMapping Struct Reference
Collaboration diagram for _SDL_ControllerMapping:
[legend]

## Data Fields

SDL_JoystickGUID | guid
const char * | name
int | axes [SDL_CONTROLLER_AXIS_MAX]
int | buttonasaxis [SDL_CONTROLLER_AXIS_MAX]
int | buttons [SDL_CONTROLLER_BUTTON_MAX]
int | axesasbutton [SDL_CONTROLLER_BUTTON_MAX]
struct _SDL_HatMapping | hatasbutton [SDL_CONTROLLER_BUTTON_MAX]
SDL_GameControllerAxis | raxes [k_nMaxReverseEntries]
SDL_GameControllerAxis | rbuttonasaxis [k_nMaxReverseEntries]
SDL_GameControllerButton | rbuttons [k_nMaxReverseEntries]
SDL_GameControllerButton | raxesasbutton [k_nMaxReverseEntries]
SDL_GameControllerButton | rhatasbutton [k_nMaxHatEntries]

## Detailed Description

Definition at line 57 of file SDL_gamecontroller.c.

## Field Documentation

int _SDL_ControllerMapping::axes[SDL_CONTROLLER_AXIS_MAX]

Definition at line 63 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

int _SDL_ControllerMapping::axesasbutton[SDL_CONTROLLER_BUTTON_MAX]

Definition at line 67 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

int _SDL_ControllerMapping::buttonasaxis[SDL_CONTROLLER_AXIS_MAX]

Definition at line 64 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

int _SDL_ControllerMapping::buttons[SDL_CONTROLLER_BUTTON_MAX]

Definition at line 66 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

SDL_JoystickGUID _SDL_ControllerMapping::guid

Definition at line 59 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateLoadButtonMapping().

struct _SDL_HatMapping _SDL_ControllerMapping::hatasbutton[SDL_CONTROLLER_BUTTON_MAX]

Definition at line 68 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

const char* _SDL_ControllerMapping::name

Definition at line 60 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateLoadButtonMapping().

SDL_GameControllerAxis _SDL_ControllerMapping::raxes[k_nMaxReverseEntries]

Definition at line 71 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

SDL_GameControllerButton _SDL_ControllerMapping::raxesasbutton[k_nMaxReverseEntries]

Definition at line 75 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

SDL_GameControllerAxis _SDL_ControllerMapping::rbuttonasaxis[k_nMaxReverseEntries]

Definition at line 72 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

SDL_GameControllerButton _SDL_ControllerMapping::rbuttons[k_nMaxReverseEntries]

Definition at line 74 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

SDL_GameControllerButton _SDL_ControllerMapping::rhatasbutton[k_nMaxHatEntries]

Definition at line 76 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c